# Interface ServerOptions<U, V>

interface ServerOptions<U, V> {
WebSocket?: U;
backlog?: number;
clientTracking?: boolean;
handleProtocols?: ((protocols, request) => string | false);
host?: string;
maxPayload?: number;
noServer?: boolean;
path?: string;
perMessageDeflate?: boolean | PerMessageDeflateOptions;
port?: number;
server?: Server<V, typeof ServerResponse> | Server<V, typeof ServerResponse>;
skipUTF8Validation?: boolean;
verifyClient?: VerifyClientCallbackAsync<InstanceType<V>> | VerifyClientCallbackSync<InstanceType<V>>;
}

#### Type Parameters

- U extends typeof WebSocket.WebSocket = typeof WebSocket.WebSocket
- V extends typeof IncomingMessage = typeof IncomingMessage

- Defined in node_modules/@types/ws/index.d.ts:314

#####
Index

### Properties

WebSocket?
backlog?
clientTracking?
handleProtocols?
host?
maxPayload?
noServer?
path?
perMessageDeflate?
port?
server?
skipUTF8Validation?
verifyClient?

## Properties

### `Optional` WebSocket

WebSocket?: U

- Defined in node_modules/@types/ws/index.d.ts:333

### `Optional` backlog

backlog?: number

- Defined in node_modules/@types/ws/index.d.ts:320

### `Optional` clientTracking

clientTracking?: boolean

- Defined in node_modules/@types/ws/index.d.ts:329

### `Optional` handleProtocols

handleProtocols?: ((protocols, request) => string | false)

#### Type declaration

- - (protocols, request): string | false

  - #### Parameters

    - protocols: Set<string>
    - request: InstanceType<V>

    #### Returns string | false

- Defined in node_modules/@types/ws/index.d.ts:326

### `Optional` host

host?: string

- Defined in node_modules/@types/ws/index.d.ts:318

### `Optional` maxPayload

maxPayload?: number

- Defined in node_modules/@types/ws/index.d.ts:331

### `Optional` noServer

noServer?: boolean

- Defined in node_modules/@types/ws/index.d.ts:328

### `Optional` path

path?: string

- Defined in node_modules/@types/ws/index.d.ts:327

### `Optional` perMessageDeflate

perMessageDeflate?: boolean | PerMessageDeflateOptions

- Defined in node_modules/@types/ws/index.d.ts:330

### `Optional` port

port?: number

- Defined in node_modules/@types/ws/index.d.ts:319

### `Optional` server

server?: Server<V, typeof ServerResponse> | Server<V, typeof ServerResponse>

- Defined in node_modules/@types/ws/index.d.ts:321

### `Optional` skipUTF8Validation

skipUTF8Validation?: boolean

- Defined in node_modules/@types/ws/index.d.ts:332

### `Optional` verifyClient

verifyClient?: VerifyClientCallbackAsync<InstanceType<V>> | VerifyClientCallbackSync<InstanceType<V>>

- Defined in node_modules/@types/ws/index.d.ts:322